# Vrac

« Vous et votre CHATONS caladois êtes faits l'un pour l'autre. »
« Parce qu'on ne veut pas acheter chat en poche. »

## Double proposition

① Association fournissant gratuitement des services dont la maintenance et l'hébergement sont considérées négligeables.

Et ② coopérative fournissant des services dont le coût est pris en charge par la participation financière des utilisateurs.

# Quoi ?

`tsa.cagull.fr`¹ un CHATONS² caladois³

¹ « tsa » pour « Tes Services Autohébergés » et « chat » en patois du Beaujolais
[réf. nécessaire]

² pour « [le Collectif des Hébergeurs Alternatifs, Transparents, Ouverts,
Neutres et Solidaires](https://chatons.org/) »

³ pour [Villefranche-sur-Saône](https://www.openstreetmap.org/relation/74082)

# Pourquoi ?

* méchants GAFAM → cohérence politique/éthique
* résilience/transition/sobriété

⇒ reprendre l'acronyme devrait déjá être un bon début (à vérifier)
* C comme collectif
* H comme hébergeur
* A comme autonome
* T comme transparent
* O comme ouvert
* N comme neutre
* S comme solidaire

# Comment ?

## Technique

Commencer par résumer le contexte technique : qu'est-ce qu'Internet ? qu'est-ce
qu'un serveur et comment on le joint ? qu'est-ce qu'un terminal et qu'est-ce
qu'il permet ?

Illustrations : graphes centralisé vs fédérés

Les technologies impliqués :
- prérequis :
  - processeur/mémoire/stockage
  - noms de domaines + Let's Encrypt
  - Debian
  - Yunohost vs custom
- par service :
  - pour la base : messagerie asynchrone/synchrone
  - pour les plus simples : date, pad, liste de diffusion, etc
  - pour les plus complexes : nextcloud, collabora, riot

Pour chaque entrée on peut estimer un chiffrage en termes de coût (argent et/ou
temps).

## Légal

cf les implications sur chatons.org

# POC

Coût à l'heure actuelle :
- nom de domaine `cagull.fr` chez Gandi
  ⇒ pris en charge par l'association
  ⇒ ~10 €/an
- VPS chez OVH
  ⇒ pris en charge par vince
  ⇒ ~7 €/mois

## Framadate / Doodleⓒ™

https://tsa.cagull.fr/date

## Framapad

https://tsa.cagull.fr/pad

## Framaliste

https://tsa.cagull.fr/mailman

## Autres

- gitea ⇒ forge logicielle
- jirafeau ⇒ envoi de gros fichiers
- peertube ⇒ hébergement de vidéos
- funkwhale ⇒ hébergement d'audio
- riot ⇒ messagerie instantanée texte/audio/vidéo chiffrée de bout en bout
- shaarli ⇒ favoris collectifs
- tiny tiny rss ⇒ lecteur de flux
- wordpress ⇒ hébergement de sites webs
- réseaux sociaux genre mastodon (vs Twitterⓒ™), diaspora (vs Facebookⓒ™), etc

Tout n'est pas forcément nécessaire pour une utilisation publique …
